Scriptel ScripTouch ProScript C Library This documentation contains information about the ScripTouch ProScript C Library.

Data Fields
scriptel_device Struct Reference

This structure represents a physically attached Scriptel ScripTouch device. More...

`#include <scriptel-proscript.h>`

Collaboration diagram for scriptel_device:
[legend]

## Data Fields
char * | path
| The path to the device. More...
unsigned short | product_id
| The product id of this device as returned by the operating system's HID driver.
unsigned short | vendor_id
| The vendor id of this device as returned by the operating system's HID driver.
char * | model
| The textual name of the device as returned by the operating system's HID driver.
char * | manufacturer
| The textual name of the manufacturer as returned by the operating system's HID driver.
unsigned char * | uuid
| The 16-byte universally unique identifier of this device. More...
unsigned char | open
| Indicates whether or not the device is in the open state.
unsigned char | button_down
| Indicates whether or not a button is currently depressed. More...
unsigned char | last_button
| Stores the last button that was depressed. More...
scriptel_hid_feature_display_info | display_info
| Cached display information from the device at open time.
scriptel_hid_feature_version | version_info
| Cached version information from the device at open time.
scriptel_device_region_info * | regions
| Pointer to cached region information from the device at open time.
scriptel_list * | input_callbacks
| A list of input callbacks, these will be called when input is received from the device. More...
void * | user_defined
| A null pointer that can be used by libraries to attach information to the device as it's passed around.
struct scriptel_device * | next
| A pointer to the next device if there is one.
scriptel_device_driver * | driver
| The driver that can be used to talk to this device.
void * | driver_defined
| A pointer to anything that a specific driver/plugin may need to manage a device. More...
void * | font
| A pointer to the font used when displaying text on the device.
scriptel_device_os_params | parameters
| Operating system specific parameters required to interact with the device. More...

## Detailed Description

This structure represents a physically attached Scriptel ScripTouch device.

This structure is the primary means of interacting with devices through library functions.

Examples
  example-connecting.c, example-image-cairo.c, example-image-gdiplus.cpp, example-reading.c, and example-screen-editing.c.

## Field Documentation

## ◆ button_down

unsigned char button_down

Indicates whether or not a button is currently depressed.

This shouldn't ever need to be directly read or written.

## ◆ driver_defined

void* driver_defined

A pointer to anything that a specific driver/plugin may need to manage a device.

Specifically the Signotec plugin attaches a struct of things it needs per device here. This is intended to be used only by "drivers"

## ◆ input_callbacks

scriptel_list* input_callbacks

A list of input callbacks, these will be called when input is received from the device.

Don't access this directly, use scriptel_register_input_callback.

## ◆ last_button

unsigned char last_button

Stores the last button that was depressed.

This shouldn't ever need to be directly read or written.

## ◆ parameters

scriptel_device_os_params parameters

Operating system specific parameters required to interact with the device.

This should never be interacted with directly. Leave this last in the structure so that variances in size won't affect the other structure members if the wrong headers / defines get used.

## ◆ path

char* path

The path to the device.

This is an identifier that identifies the operating system resource being used to connect to the device. The format of this member will change between platforms.

Examples
  example-connecting.c, example-image-cairo.c, example-image-gdiplus.cpp, example-reading.c, and example-screen-editing.c.

## ◆ uuid

unsigned char* uuid

The 16-byte universally unique identifier of this device.

This identifier identifies the signature pad across all platforms.

The documentation for this struct was generated from the following file:

- src/scriptel-proscript.h